Name:          sopcast-player
Version:       0.3.3
Release:       1%{?dist}
Group:         Applications/Internet
Summary:       A GUI front-end to SopCast
License:       GPLv2+
URL:           http://code.google.com/p/sopcast-player/
Source0:       http://sopcast-player.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:     noarch
BuildRequires: gettext
BuildRequires: desktop-file-utils
BuildRequires: python-setuptools-devel 
Requires:      vlc >= 0.9.4 
Requires:      sp-auth >= 3.0.1
Requires:      hicolor-icon-theme 
Requires:      pygtk2-libglade

%description
SopCast Player is designed to be an easy to use Linux GUI front-end for the p2p
streaming technology developed by SopCast. SopCast Player features an 
integrated video player, a channel guide, and bookmarks. Once SopCast Player is
installed it simply "just works" with no required configuration. 

%prep
%setup -q

%build
make %{?_smp_flags}

%install
rm -fr %{buildroot}
make install DESTDIR=%{buildroot}
# Fix permission
chmod +x %{buildroot}%{_datadir}/%{name}/lib/{%{name},vlc}.py
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
%find_lang %{name}

%clean
rm -fr %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%changelog
* Fri Feb 05 2010 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.3.3-1
- New upstream release

* Sun Nov 22 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.3.2-1
- New upstream release

* Fri Jun 12 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.3.0-1
- New upstream release

* Sun Feb 22 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.2.1-2
- SPEC file revised for RPMFusion

* Tue Feb 17 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.2.1-1
- Initial build
